.SUFFIXES: .eps .dvi .ps .bbl .bib .tex .plo .tif .pdf


SHELL=/bin/sh


IMGDIR=images


vpath %.svg $(IMGDIR)
vpath %.pdf $(IMGDIR)


GRAPHICS:=bare_metal.pdf existing_system.pdf reconfigure.pdf


DIY_spec.pdf: DIY_spec.tex $(GRAPHICS)
	pdflatex $<
# 	bibtex $*
# 	pdflatex $<
	pdflatex $<


%.pdf: %.svg
	inkscape --file=$< --export-text-to-path --without-gui --export-eps=$(IMGDIR)/$*.eps
	ps2eps --ignoreBB --nohires --loose --gsbbox < $(IMGDIR)/$*.eps | ps2pdf -dEPSCrop - $(IMGDIR)/$@
	rm -f $(IMGDIR)/$*.eps

clean:
	rm -f *.aux *.bbl *.blg *.log *.dvi *.ps Map_Visualisation.pdf


%.pdf: %.ps
	ps2pdf -dNOCACHE $< $@

%.ps: %.dvi
	dvips -o $@ $<

%.dvi: %.tex
	latex $<
	latex $<

%.eps: %.tif
	convert $< $@
